#Region " Imports"
Imports System
Imports System.Collections
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Text
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.HtmlControls
Imports System.Diagnostics
Imports System.ComponentModel.Design
Imports System.ComponentModel.Design.Serialization
Imports System.Drawing
Imports System.Drawing.Design.UITypeEditor
Imports System.Drawing.Design
Imports System.Data.SqlClient
Imports System.IO
Imports System.Security.Permissions
#End Region

Namespace SuperGridControl

    <Serializable(), Editor(GetType(ColumnControlsCollectionEditor), GetType(UITypeEditor))> Public Class ColumnControls
        Inherits CollectionBase

        Default Public Property Item(ByVal index As Integer) As ColumnControl
            Get
                Return CType(List(index), ColumnControl)
            End Get
            Set(ByVal Value As ColumnControl)
                List(index) = Value
            End Set
        End Property

        Public Function Add(ByVal item As ColumnControl) As Integer
            Return List.Add(item)
        End Function

        Public Sub Insert(ByVal index As Integer, ByVal item As ColumnControl)
            List.Insert(index, item)
        End Sub

        Public Overrides Function ToString() As String
            Return "ColumnControls"
        End Function


    End Class

End Namespace
