#Region " Imports"
Imports System
Imports System.Collections
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Text
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.HtmlControls
Imports System.Diagnostics
Imports System.ComponentModel.Design
Imports System.ComponentModel.Design.Serialization
Imports System.Drawing
Imports System.Drawing.Design.UITypeEditor
Imports System.Drawing.Design
Imports System.Data.SqlClient
Imports System.IO
Imports System.Security.Permissions
#End Region

Namespace SuperGridControl

    <Serializable(), Editor(GetType(ColumnCollectionEditor), GetType(UITypeEditor))> Public Class Columns
        Inherits CollectionBase

        Default Public Property Item(ByVal index As Integer) As Column
            Get
                Return CType(List(index), Column)
            End Get
            Set(ByVal Value As Column)
                List(index) = Value
            End Set
        End Property

        Public Function Add(ByVal item As Column) As Integer
            Return List.Add(item)
        End Function

        Public Sub Insert(ByVal index As Integer, ByVal item As Column)
            List.Insert(index, item)
        End Sub

        Public Overrides Function ToString() As String
            Return "Columns"
        End Function

    End Class

End Namespace

