//This following block is a copy of the function with same name from prototype.js (see www.prototypejs.org)
String.prototype.startsWith = function(pattern) {
    return this.indexOf(pattern) === 0;
  }


function duplicateLine(controlName)
{
    var myElement = document.getElementById(controlName);
    var newLine = myElement.tBodies[0].rows[1].cloneNode(true);
    newLine.style.display = "";
    var control;
    for (control in newLine)
    {
        if (control.getAttribute && control.getAttribute('masterLine'))
        {
            oAttribute = control.getAttribute && control.getAttribute('masterLine');
            oAttribute = "false";
        }
    }
    myElement.tBodies[0].insertBefore(newLine, myElement.tBodies[0].lastChild);            
    return;
}

function deleteLine(whichObj)
{
    var myParentElement = whichObj.parentElement;
    while (myParentElement.tagName!="TR")
    {
        myParentElement = myParentElement.parentElement;
    }
    var myTable = myParentElement.parentElement.parentElement;
    myParentElement.parentElement.removeChild(myParentElement);
    if (myTable.tBodies[0].rows.length==3)
    // 3 Because one for the header, two for the hidden line used of source when adding rows and three within the footer one that has the add function.
    // 3 Porque uma linha  para o cabealho, outra  para a linha oculta que serve de origem para os controles e a terceira  o rodap que tem o sinal de mais.
    {
        duplicateLine(myTable.id);
    }
}


/* THE FOLLOWING CODE WAS GET FROM: http://www.codeproject.com/Ajax/XMLWriter.asp*/ 
/* FUNCTION TO GENERATE AN XML*/
function XMLWriter()
{
    this.XML=[];
    this.Nodes=[];
    this.State="";
    this.FormatXML = function(Str)
    {
        if (Str)
            return Str.replace(/&/g, "&amp;").replace(/\"/g, "&quot;").replace(/</g, "&lt;").replace(/>/g, "&gt;");
        return ""
    }
    this.BeginNode = function(Name)
    {
        if (!Name) return;
        if (this.State=="beg") this.XML.push(">");
        this.State="beg";
        this.Nodes.push(Name);
        this.XML.push("<"+Name);
    }
    this.EndNode = function()
    {
        if (this.State=="beg")
        {
            this.XML.push("/>");
            this.Nodes.pop();
        }
        else if (this.Nodes.length>0)
            this.XML.push("</"+this.Nodes.pop()+">");
        this.State="";
    }
    this.Attrib = function(Name, Value)
    {
        if (this.State!="beg" || !Name) return;
        this.XML.push(" "+Name+"=\""+this.FormatXML(Value)+"\"");
    }
    this.WriteString = function(Value)
    {
        if (this.State=="beg") this.XML.push(">");
        this.XML.push(this.FormatXML(Value));
        this.State="";
    }
    this.Node = function(Name, Value)
    {
        if (!Name) return;
        if (this.State=="beg") this.XML.push(">");
        this.XML.push((Value=="" || !Value)?"<"+Name+"/>":"<"+Name+">"+this.FormatXML(Value)+"</"+Name+">");
        this.State="";
    }
    this.Close = function()
    {
        while (this.Nodes.length>0)
            this.EndNode();
        this.State="closed";
    }
    this.ToString = function(){return this.XML.join("");}
}

//CUSTOMIZED FUNCTION TO GET ALL ELEMENTS WITH A VALUE ON AN ATTRIBUTE
function getElementsByAttribute(oElm, strTagName, strAttributeName, strAttributeValue, parentElementName){
    var arrElements = (strTagName == "*" && oElm.all)? oElm.all : oElm.getElementsByTagName(strTagName);
    var arrReturnElements = new Array();
    var oAttributeValue = (typeof strAttributeValue != "undefined")? new RegExp("(^|\\s)" + strAttributeValue + "(\\s|$)", "i") : null;
    var oCurrent;
    var oAttribute;
    for(var i=0; i<arrElements.length; i++){
        oCurrent = arrElements[i];
        oAttribute = oCurrent.getAttribute && oCurrent.getAttribute(strAttributeName);
        if(typeof oAttribute == "string" && oAttribute.length > 0){
            if(typeof strAttributeValue == "undefined" || (oAttributeValue && oAttributeValue.test(oAttribute))){
                if (oCurrent.id.startsWith(parentElementName))
                {
                    arrReturnElements.push(oCurrent);
                }
            }
        }
    }
    return arrReturnElements;
}
